### Method

# Clutter Actor contains

#### Declaration [src]

    gboolean
    clutter_actor_contains (
      ClutterActor* self,
      ClutterActor* descendant
    )

#### Description [src]

Determines if `descendant` is contained inside `self` (either as an immediate child, or as a deeper descendant). If `self` and `descendant` point to the same actor then it will also return `TRUE`.

#### Parameters

`descendant`

  Type: `ClutterActor`

  A `ClutterActor`, possibly contained in `self`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `descendent` is contained within `self`.